%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File name:F_m.m
%
% Description: The matrix F used for approxiamtion of the RHS of the ODE
%              model used in the initialization algorithm. 
%
% Inputs:   x_m - current state
%           u - input signal vector
%           theta - current parameter vector
%           allIndices - Matrix with all powers
%
%
% Outputs: F - The matrix F required in the initialization algorithm.
%
% Author and copyright: Soma Tayamon
%                       Systems and Control
%                       Department of Information Technology
%                       Uppsala University
%                       Uppsala
%                       Sweden
%
% Revision log: Created 2010-03-04.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function F = F_m(x_m,u,theta,allIndices)

nx=size(x_m,1);

dimTheta = length(theta);

F = zeros(nx+dimTheta);
F(1:nx,nx+1:end) = dfdtheta_m(x_m,u,theta,allIndices);

for i = 1:nx-1
    F(i,i+1) = 1;
end