%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File name: PlotResidualErrors.m
%
% Description: Generates a plot of the residual errors,
%              as computed from the parameters at the 
%              end of the run.
%
% Inputs: Computed residual errors.
%
% Outputs: Plot of residual errors.
%
% Author and copyright: Torbjrn Wigren
%                       Systems and Control
%                       Department of Information Technology
%                       Uppsala University
%                       Uppsala
%                       Sweden
%
% Revision log: Created 2003-06-05.
%					 Extension to static nonlinear case 2005-08-23 
%
% Firm revision: revision 1.0, 2004-12-23.
%					  revision 2.0, 2005-08-23.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure
numberOfOutputs=size(y(:,1),1);

%
% Compute residuals
%

residualError=y(:,1:N)-y_ms(:,1:N);

%
% Get dimension
%

numberOfResidualErrors=size(residualError,1);

%
% Plot
%

for i=1:numberOfResidualErrors
   subplot(numberOfOutputs,1,i)
   plot(SamplingInstances',residualError(i,1:N)');
   xlabel('time [s]')
   ytext=['residual error (' num2str(i) ')'];
   ylabel(ytext);
end
