%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File name: SetupRPEM.m
%
% Description: Script that sets up all parameters required to run
%              the RPEM.
%
% Inputs: As written into script. 
%
% Outputs: Parameters required by the RPEM.
%
% Author and copyright: Torbjrn Wigren
%                       Systems and Control
%                       Department of Information Technology
%                       Uppsala University
%                       Uppsala
%                       Sweden
%
% Revision log: Created 2004-03-31.
%
% Firm revision: revision 1.0, 2004-12-23.
%					  revision 2.0, 2005-08-24 (no changes).
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%
%  State initial value
%

nx=2;
x_m_0=[0.5 -1]';

%
% Remaining initial values
%

muFactor=300; % To stabilize Gamma and to reduce the gain
if exist('theta_0_new')
   muFactor=1000;
end
mu_0=5;
mu0=0.9995;
y_m_0=0;
initialNoiseVariance=0.1; % Initial value for the prediction error variance
scaleFactorR=100; % the size of the initial diagonal approximation of the Hessian

%
% Parameters
%

stabilityLimit=0.975; % The linearized pole radius used for stability checking and projection
downSampling=10; % The downsampling factor used when data from the run is saved
scalingTs=2; % The scaling factor with which the sampling period is multiplied during identification
