%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File name: reInitiate.m
%
% Description: This m-file reinitiates the parameter vector with
%              the most important parameters, using a higher order.
% Inputs: reInitiateTheta - theta for last experient
%         reInitiateIndices - allIndices for last experiment
%         polynomialOrders - new maximum powers of polynomial
%         usedSets - new barred powers of polynomial
%
% Outputs: theta_0 - new initial value
%          allIndices - new allIndices
%
% Author and copyright: Torbjrn Wigren
%                       Systems and Control
%                       Department of Information Technology
%                       Uppsala University
%                       Uppsala
%                       Sweden
%
% Revision log: Created 2003-05-20.
%					 Modified to comply with updated RPEM 2004-03-31.
%
% Firm revision: revision 1.0, 2004-12-23.
%					  revision 2.0, 2005-08-24 (no changes).
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

'Input polynomialOrders and notUsedIndices'
keyboard;
allIndices=GenerateIndices(polynomialOrders,notUsedIndices);
numberOfOldParameters=size(reInitiateTheta,1);
numberOfNewParameters=size(allIndices,1);
theta_0_new=zeros(numberOfNewParameters,1);
for i=1:numberOfOldParameters
   thisOldIndex=reInitiateIndices(i,:);
   for j=1:numberOfNewParameters
      newTestedIndex=allIndices(j,:);
      if all(thisOldIndex(1,:)==newTestedIndex(1,:))
         theta_0_new(j,1)=reInitiateTheta(i,1);
      end
   end
end
